sK1 Project :: OpenSource Solutions for Prepress
View Thread
 Print Thread
sk1 start error on pclinuxos
unixino
#1 Print Post
Posted on 20-05-2009 10:34
Member

Posts: 2
Joined: 11.05.09

Hi
i installed sk1 rev 730 on Pclinuxos 2009.1 , with python 2.5 .
when starting sk1 from terminal it gives this error :

[[email protected] ~]$ sk1
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/usr/lib/python2.5/site-packages/sk1/__init__.py", line 19, in <module>
import app
File "/usr/lib/python2.5/site-packages/sk1/app/__init__.py", line 11, in <module>
from app.utils import output
File "/usr/lib/python2.5/site-packages/sk1/app/__init__.py", line 56, in <module>
from _sketch import Point, Polar, PointType
ImportError: libtk8.5.so.0: cannot open shared object file: No such file or directory



Please help


i found the error , i updated tk & tcl to 8.5

but there is now a new error :


[[email protected] ~]$ sk1
/usr/bin/sk1: line 23: 20731 Floating point exceptionpython -c "import sk1" "$1"
[[email protected] ~]$
Edited by unixino on 20-05-2009 11:12
 
max
#2 Print Post
Posted on 20-05-2009 11:13
Administrator

Posts: 63
Joined: 09.05.09

Hi,

Please verify the installation packages tcl8.5, tk8.5 and install if required.

Regards,

Maxim Barabash
sK1 Project
 
igor
#3 Print Post
Posted on 20-05-2009 11:24
User Avatar

Super Administrator

Posts: 220
Joined: 09.02.09

unixino wrote:

i found the error , i updated tk & tcl to 8.5

but there is now a new error :


[[email protected] ~]$ sk1
/usr/bin/sk1: line 23: 20731 Floating point exceptionpython -c "import sk1" "$1"
[[email protected] ~]$


It seems to resolve this issue you need rebuild sK1. Please note that you need installing dev packages for tcl/tk 8.5
Regards,

Igor Novikov
sK1 Project
 
Jump to Forum: